View a markdown version of this page

GetAdvancedPromptOptimizationJob - Amazon Bedrock

GetAdvancedPromptOptimizationJob

Gets information about an advanced prompt optimization job.

Request Syntax

GET /advanced-prompt-optimization-jobs/jobIdentifier HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

jobIdentifier

The ARN or ID of the advanced prompt optimization job.

Length Constraints: Minimum length of 0. Maximum length of 1011.

Pattern: ((arn:aws(-[^:]+)?:bedrock:[a-z0-9-]{1,20}:[0-9]{12}:advanced-prompt-optimization-job/)?[a-z0-9]{12})

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "creationTime": "string", "encryptionKeyArn": "string", "failureMessage": "string", "inputConfig": { "s3Uri": "string" }, "jobArn": "string", "jobDescription": "string", "jobName": "string", "jobStatus": "string", "lastModifiedTime": "string", "modelConfigurations": [ { "additionalModelRequestFields": { "string" : JSON value }, "inferenceConfig": { "maxTokens": number, "stopSequences": [ "string" ], "temperature": number, "topP": number }, "modelId": "string" } ], "outputConfig": { "s3Uri": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

creationTime

The time at which the job was created.

Type: Timestamp

encryptionKeyArn

The ARN of the KMS key used to encrypt the output data.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: arn:aws(-[^:]+)?:kms:[a-zA-Z0-9-]*:[0-9]{12}:key/[a-zA-Z0-9-]{36}

failureMessage

If the job failed, a message describing the failure.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

inputConfig

The input data configuration for the optimization job.

Type: AdvancedPromptOptimizationInputConfig object

jobArn

The ARN of the advanced prompt optimization job.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 1011.

Pattern: arn:aws(-[^:]+)?:bedrock:[a-z0-9-]{1,20}:[0-9]{12}:advanced-prompt-optimization-job/[a-z0-9]{12}

jobDescription

The description of the advanced prompt optimization job.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 500.

jobName

The name of the advanced prompt optimization job.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 100.

Pattern: [a-zA-Z0-9][a-zA-Z0-9.+-]*

jobStatus

The status of the advanced prompt optimization job.

Type: String

Valid Values: InProgress | Completed | Failed | PartiallyCompleted | Stopping | Stopped | Deleting

lastModifiedTime

The time at which the job was last modified.

Type: Timestamp

modelConfigurations

The model configurations used in the optimization job.

Type: Array of ModelConfiguration objects

Array Members: Minimum number of 1 item. Maximum number of 5 items.

outputConfig

The output data configuration for the optimization job.

Type: AdvancedPromptOptimizationOutputConfig object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource Amazon Resource Name (ARN) was not found. Check the Amazon Resource Name (ARN) and try your request again.

HTTP Status Code: 404

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: